Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class TransactionEntryImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.payment.TransactionEntryImpl

All Implemented Interfaces
  TransactionEntry, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TransactionEntryImpl

extends BelongingImpl
implements TransactionEntry

This class is the base class of all the payment instrument transaction entries. Payment service specific entites will extend this class in different packages. Thus the creditcard package has a PaylinXCreditCardTransactionEntry that extends TransactionEntry. The com.beasys.commerce.axiom.Price in each TransactionEntry facilitates changing the price of a transaction. Thus a price change to a transaction generates a new transaction entry.

See Also
  `TransactionEntry`, `TransactionEntryHome`, Serialized Form

Field Summary
`Date` | `entryDate` Deprecated See BEA Commerce product offering
`String` | `identifier` Deprecated See BEA Commerce product offering
`String` | `notes` Deprecated See BEA Commerce product offering
`String` | `serviceProviderCode` Deprecated See BEA Commerce product offering
`String` | `status` Deprecated See BEA Commerce product offering
`Price` | `transactionAmount` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TransactionEntryImpl()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`Date` | `getEntryDate()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`String` | `getNotes()` Deprecated See BEA Commerce product offering
`String` | `getServiceProviderCode()` Deprecated See BEA Commerce product offering
`String` | `getStatus()` Deprecated See BEA Commerce product offering
`Price` | `getTransactionAmount()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setEntryDate(Date entryDate)` Deprecated See BEA Commerce product offering
`void` | `setIdentifier(String identifier)` Deprecated See BEA Commerce product offering
`void` | `setNotes(String notes)` Deprecated See BEA Commerce product offering
`void` | `setServiceProviderCode(String serviceProviderCode)` Deprecated See BEA Commerce product offering
`void` | `setStatus(String status)` Deprecated See BEA Commerce product offering
`void` | `setTransactionAmount(Price transactionAmount)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### entryDate

    public Date entryDate

  Deprecated See BEA Commerce product offering
  The date this entry was made.
  - Containment: By Value
  - Multiplicity: 1:1

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering
  The primary key for this entity is an identifier generated using internal logic. The AlphaNumericSequencer was not used as it would involve having two instances of it running.
  - Containment: By Value
  - Multiplicity: 1:1

### notes

    public String notes

  Deprecated See BEA Commerce product offering
  Holds additional information related to a transaction entry.
  - Containment: By Value
  - Multiplicity: 1:1

### status

    public String status

  Deprecated See BEA Commerce product offering
  Holds the transaction status based on the service provider's response and its mapping to the payment instruments workflow state.
  - Containment: By Value
  - Multiplicity: 1:1

### transactionAmount

    public Price transactionAmount

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### serviceProviderCode

    public String serviceProviderCode

  Deprecated See BEA Commerce product offering
  Service provider specific response.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TransactionEntryImpl

    public TransactionEntryImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getEntryDate

    public Date getEntryDate()

  Deprecated See BEA Commerce product offering

  Get the value of entryDate

  Specified by:
    `getEntryDate` in interface `TransactionEntry`
  Returns
    entryDate.

### setEntryDate

    public void setEntryDate(Date entryDate)

  Deprecated See BEA Commerce product offering

  Set the value of entryDate

  Specified by:
    `setEntryDate` in interface `TransactionEntry`
  Parameters
    `entryDate` - entryDate to be added

### getIdentifier

    public String getIdentifier()

  Deprecated See BEA Commerce product offering

  Get the value of identifier

  Specified by:
    `getIdentifier` in interface `TransactionEntry`
  Returns
    identifier.

### setIdentifier

    public void setIdentifier(String identifier)

  Deprecated See BEA Commerce product offering

  Set the value of identifier

  Specified by:
    `setIdentifier` in interface `TransactionEntry`
  Parameters
    `identifier` - identifier to be added

### getNotes

    public String getNotes()

  Deprecated See BEA Commerce product offering

  Get the value of notes

  Specified by:
    `getNotes` in interface `TransactionEntry`
  Returns
    notes.

### setNotes

    public void setNotes(String notes)

  Deprecated See BEA Commerce product offering

  Set the value of notes

  Specified by:
    `setNotes` in interface `TransactionEntry`
  Parameters
    `notes` - notes to be added

### getStatus

    public String getStatus()

  Deprecated See BEA Commerce product offering

  Get the value of status

  Specified by:
    `getStatus` in interface `TransactionEntry`
  Returns
    status.

### setStatus

    public void setStatus(String status)

  Deprecated See BEA Commerce product offering

  Set the value of status

  Specified by:
    `setStatus` in interface `TransactionEntry`
  Parameters
    `status` - status to be added

### getTransactionAmount

    public Price getTransactionAmount()

  Deprecated See BEA Commerce product offering

  Get the value of transactionAmount

  Specified by:
    `getTransactionAmount` in interface `TransactionEntry`
  Returns
    transactionAmount.

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Deprecated See BEA Commerce product offering

  Set the value of transactionAmount

  Specified by:
    `setTransactionAmount` in interface `TransactionEntry`
  Parameters
    `transactionAmount` - transactionAmount to be added

### getServiceProviderCode

    public String getServiceProviderCode()

  Deprecated See BEA Commerce product offering

  Get the value of serviceProviderCode

  Specified by:
    `getServiceProviderCode` in interface `TransactionEntry`
  Returns
    serviceProviderCode.

### setServiceProviderCode

    public void setServiceProviderCode(String serviceProviderCode)

  Deprecated See BEA Commerce product offering

  Set the value of serviceProviderCode

  Specified by:
    `setServiceProviderCode` in interface `TransactionEntry`
  Parameters
    `serviceProviderCode` - serviceProviderCode to be added

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved